Create a ruleset

  • POST /deployments/traffic-filter/rulesets
Auth

Creates a ruleset that consists of a set of rules.

Request body

The specification for traffic filter ruleset.

name string required

Name of the ruleset

description string

Description of the ruleset

type string required

Type of the ruleset

include_by_default boolean required

Should the ruleset be automatically included in the new deployments

region string required

The ruleset can be attached only to deployments in the specific region

rules object[] required

List of rules

id string

The rule ID

remote_cluster_org_id string

The remote cluster organization ID

remote_cluster_id string

The remote cluster ID

description string

Description of the rule

source string

Allowed traffic filter source: IP address, CIDR mask, or VPC endpoint ID

azure_endpoint_name string

Name of the Azure Private Endpoint to allow connections from

azure_endpoint_guid string

Resource GUID of the Azure Private Endpoint to allow connections from

Responses

The ruleset definition is valid and the creation has started.

application/json
id string required

The new ruleset ID